
Infrastructure - Task #2143

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Refactor static nodeRegistryMap

2011-12-16 16:30 - Skye Roseboom

Status: Closed Start date: 2011-12-16

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

The spring context configuration for cn_index_processing contains a bean 'nodeRegistryMap' that is a static map of CN/MN nodes in

the dev environment.  This should be replaced by a dynamic/run-time configuration to get current/actual nodes in dataONE system.

https://cn-dev.dataone.org/cn/v1/node

History

#1 - 2012-01-03 20:26 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-01-03 22:12 - Skye Roseboom

Also updating WebUrlSolrField.isCNNode to remove hard-coded cn node name ("c3po").  Replaced with dynamic query against

NodeRegistryService.getNode().getType().xmlValue().equals(NodeType.CN)

#3 - 2012-01-04 17:05 - Skye Roseboom

- Status changed from In Progress to Closed

Complete.  Added usage of node registry service to acquire node list dynamically.  Added to buildout jars.
